Package org.apache.tomcat.util.descriptor.tld

## Class TldRuleSet

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.TldRuleSet

- All Implemented Interfaces:
    `RuleSet`

      public class TldRuleSet
      extends Object
      implements RuleSet

  RulesSet for digesting TLD files.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TldRuleSet.Attribute` |
    `static class` | `TldRuleSet.Variable` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TldRuleSet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRuleInstances​(Digester digester)` | Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TldRuleSet

          public TldRuleSet()

  - ### Method Detail

    - #### addRuleInstances

          public void addRuleInstances​(Digester digester)

      Description copied from interface: `RuleSet`
      Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.
      Specified by:
        `addRuleInstances` in interface `RuleSet`
      Parameters:
        `digester` - Digester instance to which the new Rule instances should be added.